
Foreman - Bug #5901

Unable to select more than 8 cores in VMware template

05/23/2014 09:35 AM - Jon Skarpeteig

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Compute resources   

Target version: 1.13.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1364606 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3814

  

Description

VMware itself supports up to 32 cores (on a single CPU). Max 32 virtual sockets combined.

E.G:

1 x 32

2 x 16

4 x 8

8 x 4

are all valid configurations

Related issues:

Related to Foreman - Bug #2314: Smaller grains for VM memory/RAM choice needed Closed 03/13/2013

Related to Foreman - Feature #10395: Compute Profile (oVirt) limited to 8 Cor... Closed 05/06/2015

Has duplicate Foreman - Bug #10687: Max CPU count for compute profile is 8 Duplicate 06/03/2015

Associated revisions

Revision 0cd2ddf0 - 09/22/2016 05:08 AM - Marek Hulán

Fixes #5901 - fine grain for vmware CPU selectors

Revision b9af9b32 - 10/25/2016 07:52 AM - Marek Hulán

Fixes #5901 - fine grain for vmware CPU selectors

(cherry picked from commit 0cd2ddf0cff1b07aeca2e2dee835937fde613b8b)

History

#1 - 05/23/2014 09:41 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category changed from Virtualization to Compute resources

- Priority changed from High to Normal

#2 - 05/23/2014 09:41 AM - Dominic Cleal

- Related to Bug #2314: Smaller grains for VM memory/RAM choice needed added

#3 - 09/26/2014 07:02 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#4 - 06/10/2016 03:41 PM - Anonymous

- Has duplicate Bug #10687: Max CPU count for compute profile is 8 added

#5 - 06/27/2016 08:33 AM - Martin Tessun
Jon Skarpeteig wrote:

VMware itself supports up to 32 cores (on a single CPU). Max 32 virtual sockets combined.

 That is not only true for VMWare, but for all Virtualisations (OVirt, RHEV, HyperV, etc.).

So it would be easiest to just have a possibility to enter a number for the amount of vCPUs (vCores) to be added.

#6 - 07/28/2016 06:59 AM - Marek Hulán

- Category changed from Compute resources - VMware to Compute resources

- Target version set to 115

#7 - 07/28/2016 08:31 AM - Marek Hulán

- Target version changed from 115 to 1.6.3

#8 - 08/16/2016 08:36 AM - Marek Hulán

- Target version changed from 1.6.3 to 1.6.0

#9 - 08/25/2016 06:05 AM - Ondřej Pražák

- Status changed from New to Assigned

- Assignee set to Ondřej Pražák

#10 - 08/25/2016 06:13 AM - Marek Hulán

This should be based on the limited spinner introduced in http://projects.theforeman.org/issues/2314, now it's WIP because of webpack changes so

I'd recommend waiting until the PR is megred.

#11 - 09/06/2016 05:11 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3814 added

#12 - 09/06/2016 10:55 AM - Marek Hulán

- Target version changed from 1.6.0 to 1.5.3

#13 - 09/19/2016 09:45 AM - Ondřej Pražák

- Assignee changed from Ondřej Pražák to Marek Hulán

#14 - 09/22/2016 06:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0cd2ddf0cff1b07aeca2e2dee835937fde613b8b.

#15 - 09/22/2016 06:50 AM - Marek Hulán

- translation missing: en.field_release set to 190

Same argumentation as for #10395, this one is tiny.

#16 - 09/22/2016 06:51 AM - Marek Hulán

- Related to Feature #10395: Compute Profile (oVirt) limited to 8 Cores and 16GB of memory added

#17 - 09/22/2016 11:37 AM - Brad Buckingham

- Bugzilla link set to 1364606
